Skip to main content
POST
/
users
/
{app_user_id}
/
transactions
/
google-play
Register Google Play Transaction
curl --request POST \
  --url https://api.winwinkit.com/users/{app_user_id}/transactions/google-play \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "purchase_token": "opaque-purchase-token-string",
  "obfuscated_external_account_id": "user-account-id-hash"
}
'
{
  "errors": [
    {
      "code": "<string>",
      "status": 123,
      "message": "<string>",
      "source": "<string>"
    }
  ]
}

Headers

x-api-key
string
required

The API key to authenticate with.

Path Parameters

app_user_id
string
required

The app user id of the user.

Body

application/json
purchase_token
string
required

Google Play's purchaseToken from the purchase flow.

Example:

"opaque-purchase-token-string"

obfuscated_external_account_id
string | null

Set in BillingFlowParams.setObfuscatedAccountId() — used for better matching.

Example:

"user-account-id-hash"

Response

The transaction mapping has been registered.